jQuery plugin to encourage visitors to upgrade their old browser
Switch branches/tags
Nothing to show
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
plugin
LICENSE
README.md
demo.png

README.md

Outdated IE Alert

Outdated IE Alert is a jQuery plugin that shows a well designed modal box to the visitor who's trying to view your site with an older version of Internet Explorer browser. The modal box encourages your visitors to upgrade their browser for a better experience using your site.

When should I use it?

You should use it when you created a stunning modern website that looks and works amazing in modern browsers and you don't want to waste your time and money to make it work on legacy browsers like IE6, IE7 and IE8.

How it works

This plugin will show a modal box to the visitor who is trying to view your website with with an older version of Internet Explorer browser. The modal box tries to convince them to upgrade to a newer version or to an another modern web browser. By clicking the upgrade button a new window/tab will be opened where your visitor can download a new browser. The modal box contains a title text, a basic text, a close button and an upgrade button. This plugin will detect user's idiom and will show texts in respectives idiom (fallback to english idiom).

Dependecy

jQuery library

Demo

Usage

Include jQuery library and then outdated-ie-alert.js and outdated-ie-alert.css files in your HTML document and initialize the plugin:

<!--[if IE]>
	<link rel="stylesheet" href="outdated-ie-alert.css"/>
	<script src="outdated-ie-alert.js"></script>
	<script>
		$(document).ready(function(){
			$("body").outdatedIeAlert();
		});
	</script>
<![endif]-->

Documentation

You can pass an object with the following options:

$("body").outdatedIeAlert({
	support : "ie8",
	overlayClose : false,
	closeBtn : true,
	title : ?,
	text : ?,
	upgradeTitle : ?,
	upgradeLink : ?
});

support (string - optional - default: "ie8")
Defines on which version of Internet Explorer will the modal box appear. Available options:
ie9 - Modal box will appear on Internet Explorer 9, 8, 7, 6.
ie8 - Modal box will appear on Internet Explorer 8, 7, 6.
ie7 - Modal box will appear on Internet Explorer 7, 6.
ie6 - Modal box will appear on Internet Explorer 6.

overlayClose (boolean - optional - default: false)
Defines whether the modal should be closed when clicked on the overlay

closeBtn (boolean - optional - default: true)
By default user can close the modal box and by doing this he will not upgrade his browser. But you can hide the close button by setting closeBtn to FALSE

title (string - optional)
Defines the modal title text. If not specified, this plugin will detect user's idiom and use the following text (translated to user's idiom):
"Did you know that your Internet Explorer is out of date?"

text (string - optional)
Defines the modal warning text. If not specified, this plugin will detect user's idiom and use the following text (translated to user's idiom):
"To get the best possible experience using our site we recommend that you upgrade to a modern web browser. To download a newer web browser click on the Upgrade button."

upgradeTitle (string - optional)
Defines the upgrade button text. If not specified, this plugin will detect user's idiom and use the following text (translated to user's idiom):
"Upgrade"

upgradeLink (string - optional)
Defines the upgrade button link. If not specified, this plugin will detect user's idiom and use the following website (in user's idiom):
http://outdatedbrowser.com

Credits

Based on https://github.com/nmsdvid/ie-alert